Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.gui.optionable
Class OptionableJFrame

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--uk.ac.man.bioinf.gui.optionable.OptionableJFrame

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, Optionable, RootPaneContainer, Serializable, WindowConstants

Direct Known Subclasses:
  CinemaAlignmentFrame, CinemaGroupFrame

public abstract class OptionableJFrame
extends JFrame
implements Optionable

OptionableJFrame.java Created: Fri May 07 16:45:36 1999

Version:
  $Id: OptionableJFrame.java,v 1.2 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JFrame
`JFrame.AccessibleJFrame`

Nested classes inherited from class java.awt.Frame
`Frame.AccessibleAWTFrame`

Nested classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`OptionableJFrame(String optionableName)`
`OptionableJFrame(String optionableName, boolean delayOptionable)` No title.
`OptionableJFrame(String optionableName, String title)` An internal frame with a title
`OptionableJFrame(String optionableName, String title, boolean delayOptionable)`
`OptionableJFrame(String optionableName, String title, boolean delayOptionable, OptionHandler handler)` A title and the ability to delay the registering of the optionable status

Method Summary
`void` | `defaultPack()` Pack the frame if the size hasnt been sized by its options
`protected void` | `forceOptionable()` Force the setting the optionable status now.
`static OptionHandler` | `getDefaultOptionHandler()`
`String` | `getOptionGroupName()` Subclasses must provide this, either on a class or instance basis
`OptionHandler` | `getOptionHandler()` Implementation of the Optionable interface
`Object` | `getOptions()` An implementation of the Optionable interface.
`void` | `setDefaultLocation(int x, int y)` Pretty much the same as setDefaultSize
`static void` | `setDefaultOptionHandler(OptionHandler optionHandler)`
`void` | `setDefaultSize(int x, int y)` This sets the size of the frame, only if it hasnt been set as an option.
`void` | `setOptionHandler(OptionHandler optionHandler)` Implementation of the OptionableInterface
`void` | `setOptions()`
`void` | `setOptions(Object param1)` Implementation of the Optionable Interface.

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Constructor Detail

### OptionableJFrame

    public OptionableJFrame(String optionableName)

### OptionableJFrame

    public OptionableJFrame(String optionableName,
                            String title)

  An internal frame with a title

Parameters:
  `title` -

### OptionableJFrame

    public OptionableJFrame(String optionableName,
                            boolean delayOptionable)

  No title. However if the param is true this class will not register its optionable status until explicitly told, rather than in the constructor. Subclasses which have their own options should use this option if they need to complete their own setOptions before their constructor is complete.

Parameters:
  `delayOptionable` - delay setting options until explicitly told
See Also:
  `forceOptionable()`

### OptionableJFrame

    public OptionableJFrame(String optionableName,
                            String title,
                            boolean delayOptionable)

### OptionableJFrame

    public OptionableJFrame(String optionableName,
                            String title,
                            boolean delayOptionable,
                            OptionHandler handler)

  A title and the ability to delay the registering of the optionable status

Parameters:
  `optionableName` - the name used to identify this Frame to the optionable library.
  `title` - the title
  `delayOptionable` - delay setting optionable status

Method Detail

### setOptions

    public void setOptions()
                    throws OptionableStateException

    `OptionableStateException`

### forceOptionable

    protected void forceOptionable()

  Force the setting the optionable status now. This method excepts if it is called more than once per object, or if a constructor without the delayOptionable parameter has NOT been used

  Throws:
    `RuntimeException` - if called illegally

### setDefaultSize

    public void setDefaultSize(int x,
                               int y)

  This sets the size of the frame, only if it hasnt been set as an option. This allows a default size to be set outside the constructor. The setSize() method sets the size regardless of whether it has been set previously

  Parameters:
    `x` - the width
    `y` - the height

### setDefaultLocation

    public void setDefaultLocation(int x,
                                   int y)

  Pretty much the same as setDefaultSize

  Parameters:
    `x` - the x location
    `y` - the y location
  See Also:
    `setDefaultSize(int, int)`

### defaultPack

    public void defaultPack()

  Pack the frame if the size hasnt been sized by its options

### getOptions

    public Object getOptions()

  An implementation of the Optionable interface. Subclasses overriding this method should call super.getOptions. Also the constructor documentation and the delayOptionable parameter should be considered.

  Specified by:
    `getOptions` in interface `Optionable`
  Returns:
    the options

### setOptions

    public void setOptions(Object param1)

  Implementation of the Optionable Interface.

  Specified by:
    `setOptions` in interface `Optionable`
  Parameters:
    `param1` -
  See Also:
    `getOptions`

### setOptionHandler

    public void setOptionHandler(OptionHandler optionHandler)

  Implementation of the OptionableInterface

  Specified by:
    `setOptionHandler` in interface `Optionable`
  Parameters:
    `optionHandler` - the value to assign to OptionHandler

### getOptionHandler

    public OptionHandler getOptionHandler()

  Implementation of the Optionable interface

  Specified by:
    `getOptionHandler` in interface `Optionable`
  Returns:
    the option handler

### getOptionGroupName

    public String getOptionGroupName()

  Subclasses must provide this, either on a class or instance basis

  Specified by:
    `getOptionGroupName` in interface `Optionable`
  Returns:
    the Option group name

### setDefaultOptionHandler

    public static void setDefaultOptionHandler(OptionHandler optionHandler)

### getDefaultOptionHandler

    public static OptionHandler getDefaultOptionHandler()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD